Core - Bug # 55753

Status: Resolved Priority: Must have
Author: Philipp Wrann Category: Caching
Created: 2014-02-07 Assigned To:

Updated: 2014-02-07 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity: easy

Is Regression: Yes

Sprint Focus:

Subject: pagetype is not respected in pagecache

Description

When a pagecontent is cached the type is not respected, so it happens, that you get the wrong cacheentries when requesting a page
2 times.

Related issues:
related to Core - Task # 54265: Use (int) instead of intval() or (integer) Resolved 2013-12-07

Associated revisions

Revision 65bbdfe3 - 2014-02-07 10:45 - Markus Klein
[BUGFIX] Typo in TypoScriptFrontendController
$this->typ needs to be $this->type

Resolves: #55753

Releases: 6.2

Change-Id: 15414de0a00b4d0b7adecd783243990397cccbOb7
Reviewed-on: https://review.typo3.0rg/27403

Reviewed-by: Markus Klein
Tested-by: Markus Klein

History

#1 - 2014-02-07 10:31 - Philipp Wrann
- % Done changed from 0 to 50

in TypoScriptFrontEndController, line 2326 (current master [179675¢€])
fix 'type' => (int)$this->typ, to 'type' => (int)$this->type,

#2 - 2014-02-07 10:39 - Markus Klein
- Status changed from New to Accepted
- % Done changed from 50 to 0

Thanks a lot for finding this!

Patch comes along.
#3 - 2014-02-07 10:43 - Markus Klein
- Is Regression changed from No to Yes

Regression to #54265

#4 - 2014-02-07 10:45 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27403

#5 - 2014-02-07 11:30 - Markus Klein
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset commit:65bbdfe3c4cff3f61064aaef169ccf628b08aad5.
